Subject: [clue] Are audio streams originating from the same room?

From: "Johan Ludvig Nielsen (johaniel)" <[email-masked]>
Date: Tue, 5 Jun 2012 12:59:30 +0200

Hi

Here is another piece of information that can be of good use to a
receiving endpoint's audio processing, and therefore relating to CLUE
Task #10, Does Framework provide sufficient info for receiver?

-    Are audio streams originating from the same room?

This is already under discussion regarding spatial information,
association of audio to video, and lip sync.

However, I would like to add that in addition to this the receiver can
use this information in its local acoustic echo control processing.
Multi-channel echo cancellation can be done with less effort and less
artefacts if you know that the incoming streams are not from the same
room, and therefore has no correlation.

So even if the other issues are solved in other ways, the provider(s)
will need to preserve this information all the way to the receiver.

Regards

Johan